Page MenuHomeFreeBSD

[devel/gdb] Update to GDB 9.1.
ClosedPublic

Authored by jhb on Mar 2 2020, 11:10 PM.

Details

Summary

GDB 9 rejects attempts to build in the source tree, so this uses
CONFIGURE_OUTSOURCE.

Some patch files were renamed to track moving of files in upstream.

Test Plan
  • bulk -t passes on amd64
  • kgdb works in simple testing on amd64
  • I have only tested that when guile is enabled 'make patch' doesn't fail, but have not otherwise tested the GUILE option

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Mar 2 2020, 11:10 PM
jhb added inline comments.Mar 2 2020, 11:14 PM
devel/gdb/Makefile
21 ↗(On Diff #69093)

The build wanted makeinfo to build the info pages. Not sure why it didn't want that previously?

50 ↗(On Diff #69093)

Sadly, I actually missed several files here (which is why there are commmit-* files deleted that aren't listed here), so TLS support for, e.g. RISC-V wasn't actually enabled. All the TLS bits I had committed post 8.3 are in GDB 9 though thankfully.

121 ↗(On Diff #69093)

The build of the info files uses some files from the readline/ subdirectory as dependencies even though they aren't used for the actual build of the info files. There's an XXX comment about this in the gdb/doc/Makefile.in file.

133 ↗(On Diff #69093)

The INSTALL_WRKSRC changes are all due to the use of CONFIGURE_OUTSOURCE

pizzamig requested changes to this revision.Mar 3 2020, 11:26 PM

Unfortunately, on i386 the build fails. In kgdb/i386fbsd-kern.c there is still a TRY and CATCH in capitol letters

This revision now requires changes to proceed.Mar 3 2020, 11:26 PM
jhb updated this revision to Diff 69242.Mar 5 2020, 10:11 PM
  • Fix i386 build.
  • Use lookup_struct_elt*() in kgdb.
jhb added a comment.Mar 5 2020, 10:31 PM

Unfortunately, on i386 the build fails. In kgdb/i386fbsd-kern.c there is still a TRY and CATCH in capitol letters

Oops, thanks for catching that. Should be fixed now.

pizzamig accepted this revision.Mar 8 2020, 8:12 PM

It looks good to me! Feel free to commit!

This revision is now accepted and ready to land.Mar 8 2020, 8:12 PM
This revision was automatically updated to reflect the committed changes.